<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
    {
        Schema::table('anggotas', function (Blueprint $table) {
            $table->boolean('wa_sent')->default(false);
            $table->boolean('email_sent')->default(false);
            $table->text('wa_error_log')->nullable();
            $table->text('email_error_log')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('anggotas', function (Blueprint $table) {
            //
        });
    }
};
